Get user groups
1 min
GET
https://usermgmt-api.optimizely.com/api/usergroups
Query Parameters
- namestringDescription
- descriptionstringDescription
- organizationIdstringDescription
- groupOwnerstringDescription
- propertiesobject[]Description
- namestring
- valuestring
- usersstring[]Description
- instanceIdsstring[]Description
- roleIdsstring[]Description
- attributeIdsstring[]Description
- useExactMatchSearchbooleanDescription
- matchAnyInstanceIdbooleanDescription
- groupTypesstring[]Description
- productIdsstring[]Description
- excludeTeamsbooleanDescription
- sizeinteger<int32>DescriptionFormatint32
- offsetinteger<int32>DescriptionFormatint32
Responses
200
- page_userGroup
- totalItemCountinteger<int32>Formatint32
- itemsuserGroup[]
- idstring
- namestring
- descriptionstring
- organizationIdstring
- groupOwnerstring
- userCountinteger<int32>Formatint32
- groupTypeinteger<int32>Default0Formatint32Allowed012
- propertiesproperty[]
- namestring
- valuestring
- instancePermissionsinstancePermissionsDescriptor[]
- instanceIdstring
- rolesroleDescriptor[]
- namestring
- idstring
- propertiesproperty[]
- namestring
- valuestring
- attributesattribute[]
- idstring
- keystring
- valuesstring[]
- instanceIdstring
- typestring
- namestring
- descriptionstring
- productIdstring
- isActiveboolean
- createdstring<date-time>Formatdate-time
- modifiedstring<date-time>Formatdate-time
- linkslink[]
- relstring
- hrefstring
- createdstring<date-time>Formatdate-time
- modifiedstring<date-time>Formatdate-time
- linkslink[]
- relstring
- hrefstring
- linkslink[]
- relstring
- hrefstring
400
- validationError[]
- fieldstring
- codestring
- messagestring
401
403
500
curl
curl --request GET \
--url 'https://usermgmt-api.optimizely.com/api/usergroups?properties=array' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://usermgmt-api.optimizely.com/api/usergroups?properties=array", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://usermgmt-api.optimizely.com/api/usergroups?properties=array")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://usermgmt-api.optimizely.com/api/usergroups?properties=array"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The user groups response.
{
"totalItemCount": "",
"items": [
{
"id": "",
"name": "",
"description": "",
"organizationId": "",
"groupOwner": "",
"userCount": "",
"groupType": "",
"properties": [
{
"name": "",
"value": ""
}
],
"instancePermissions": [
{
"instanceId": "",
"roles": [
{
"name": "",
"id": "",
"properties": [
{
"name": "",
"value": ""
}
],
"attributes": [
{
"id": "",
"key": "",
"values": [
""
],
"instanceId": "",
"type": "",
"name": "",
"description": "",
"productId": "",
"isActive": false,
"created": "",
"modified": "",
"links": [
{
"rel": "",
"href": ""
}
]
}
]
}
]
}
],
"created": "",
"modified": "",
"links": [
{
"rel": "",
"href": ""
}
]
}
],
"links": [
{
"rel": "",
"href": ""
}
]
}400
// The request was invalid or cannot be otherwise served. An accompanying error message will explain further.
[
{
"field": "",
"code": "",
"message": ""
}
]401
// Unauthorized access to endpoint.
403
// Forbidden access to endpoint.
500
// A server error occurred, please try again.